Loading...
Searching...
No Matches
promotiontraits.hh File Reference

Compute type of the result of an arithmetic operation involving two different number types. More...

`#include <utility>`

Go to the source code of this file.

## Classes

struct | Dune::PromotionTraits< T1, T2 >
| Compute type of the result of an arithmetic operation involving two different number types. More...
struct | Dune::PromotionTraits< T1, T1 >

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Compute type of the result of an arithmetic operation involving two different number types.

Author
  Matthias Wohlmuth